Loading...
Searching...
No Matches
juce::universal_midi_packets::LegacyVirtualOutput Class Reference

## Detailed Description

Represents a virtual MIDI 1.0 output port.

The documentation for this class was generated from the following file:

- juce_audio_devices/midi_io/ump/juce_UMPLegacyVirtualOutput.h

## Public Member Functions

| LegacyVirtualOutput ()
| Creates an invalid virtual port that doesn't correspond to any virtual device.
| ~LegacyVirtualOutput ()
| LegacyVirtualOutput (LegacyVirtualOutput &&) noexcept
LegacyVirtualOutput & | operator= (LegacyVirtualOutput &&) noexcept
| LegacyVirtualOutput (const LegacyVirtualOutput &)=delete
LegacyVirtualOutput & | operator= (const LegacyVirtualOutput &)=delete
EndpointId | getId () const
| Retrieves the unique id of this input.
bool | isAlive () const
| operator bool () const

## Constructors and Destructors

## LegacyVirtualOutput() [1/3]

juce::universal_midi_packets::LegacyVirtualOutput::LegacyVirtualOutput | ( |  | ) |

Creates an invalid virtual port that doesn't correspond to any virtual device.

Referenced by LegacyVirtualOutput(), LegacyVirtualOutput(), operator=(), and operator=().

## ~LegacyVirtualOutput()

juce::universal_midi_packets::LegacyVirtualOutput::~LegacyVirtualOutput | ( |  | ) |

## LegacyVirtualOutput() [2/3]

juce::universal_midi_packets::LegacyVirtualOutput::LegacyVirtualOutput | ( | LegacyVirtualOutput && |  | ) |

noexcept

References LegacyVirtualOutput().

## LegacyVirtualOutput() [3/3]

juce::universal_midi_packets::LegacyVirtualOutput::LegacyVirtualOutput | ( | const LegacyVirtualOutput & |  | ) |

delete

References LegacyVirtualOutput().

## Member Functions

## operator=() [1/2]

LegacyVirtualOutput & juce::universal_midi_packets::LegacyVirtualOutput::operator= | ( | LegacyVirtualOutput && |  | ) |

noexcept

References LegacyVirtualOutput().

## operator=() [2/2]

LegacyVirtualOutput & juce::universal_midi_packets::LegacyVirtualOutput::operator= | ( | const LegacyVirtualOutput & |  | ) |

delete

References LegacyVirtualOutput().

## getId()

EndpointId juce::universal_midi_packets::LegacyVirtualOutput::getId | ( |  | ) | const

Retrieves the unique id of this input.

You can pass this ID to Session::connectOutput() in order to send messages to this output.

Note that this ID is not guaranteed to be stable - creating the 'same' virtual device across several program invocations may produce a different ID each time.

To fetch the current details of this device, you can pass this ID to Endpoints::getEndpoint().

References getId().

Referenced by getId().

## isAlive()

bool juce::universal_midi_packets::LegacyVirtualOutput::isAlive | ( |  | ) | const

References isAlive().

Referenced by isAlive(), and operator bool().

## operator bool()

juce::universal_midi_packets::LegacyVirtualOutput::operator bool | ( |  | ) | const

inline explicit

References isAlive().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited